function KompatibilitaetsCheck ($SpeicherOrt){
    $Inhalte = Get-Content $SpeicherOrt
    if ($Inhalte.Length -eq 0) {
        Write-Host "Inhalte: $Inhalte"
        return $false
    }
    else {
        foreach ($Zeile in $Inhalte) {
            if (-not ($Zeile -match "'\w+','.+'") -and $Zeile.Length -gt 0) {
                return $false
            }
        }    
    }
    return $true
}

Function TxtDateienFinden($Pfad)
{
$TxtDateien = $(Get-Childitem $Pfad\*.txt)

$SaubereTxtS = @()

if ($TxtDateien.Length -gt 0)
{
    foreach ($TxtDatei in $TxtDateien) {
        if (KompatibilitaetsCheck $TxtDatei) {
            $SaubereTxtS += $TxtDatei
        }
        else {
            Write-Host "Aussortierte Dateien: $TxtDatei"
        }
    }
    return $(Split-Path $SaubereTxtS -Leaf)
}
else
{
    return
}
}


Write-Host "------------------------------------------------------------"
$SZ = Get-Date -Format "HH:mm:ss"
Write-Host "Startzeit $SZ" 

$Dateien = TxtDateienFinden "R:\m.kraft\Excel Werte ändern"
Write-Host "Dateien: $Dateien"

$EZ = Get-Date -Format "HH:mm:ss"
Write-Host "Endzeit " $EZ